.\" $NetBSD: arckbd.4,v 1.3 2009/02/14 10:35:36 wiz Exp $
.\"
.\" Copyright (c) 2000 Ben Harris
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd February 14, 2009
.Dt ARCKBD 4 acorn26
.Os
.Sh NAME
.Nm arckbd
.Nd Archimedes keyboard/mouse driver
.Sh SYNOPSIS
.Cd "arckbd0         at ioc0 bank 0 offset 0x04"
.Cd "wskbd0          at arckbd0"
.Cd "wsmouse0        at arckbd0"
.Sh DESCRIPTION
The
.Nm
driver controls the keyboard on systems supported by
.Nx Ns /acorn26
and interfaces it to the
.Nm wscons
system.
All communication between user programs and the
.Nm
driver goes through the
.Nm wskbd
and
.Nm wsmouse
drivers.
.Sh SEE ALSO
.Xr wscons 4 ,
.Xr wskbd 4 ,
.Xr wsmouse 4
.Sh BUGS
The
.Nm
driver is capable of determining the layout of the keyboard, and noticing when
it changes (if a different keyboard is connected, for instance), but doesn't
know how to pass this information on to
.Nm wscons .
